Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Don't preload popular libraries, it conflicts with Bundler.

  • Loading branch information...
commit 946dc2ea0fd98d75197425358c578d0c56799d87 1 parent e795d48
@FooBarWidget FooBarWidget authored
Showing with 5 additions and 9 deletions.
  1. +5 −0 NEWS
  2. +0 −9 lib/phusion_passenger/spawn_manager.rb
View
5 NEWS
@@ -21,6 +21,11 @@ Release 2.2.15
Thanks to Potamianos Gregory for reporting this issue. Issue #500.
* [Nginx] Default Nginx version changed to 0.7.66
The previous default version was 0.7.65.
+ * Fixed more Bundler problems
+ Previous versions of Phusion Passenger would preload some popular
+ libraries such as mysql and sqlite3 in order to utilize copy-on-write
+ optimizations better. However this behavior conflicts with Bundler
+ so we've removed it.
Release 2.2.14
View
9 lib/phusion_passenger/spawn_manager.rb
@@ -79,15 +79,6 @@ def initialize
require 'phusion_passenger/html_template'
require 'phusion_passenger/platform_info'
require 'phusion_passenger/exceptions'
-
- # Commonly used libraries.
- ['mysql', 'sqlite3'].each do |lib|
- begin
- require lib
- rescue LoadError
- # Do nothing; ignore if not present.
- end
- end
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.